Daemon Power

The NetBSD Packages Collection: www/apache24

Brief description of the package:
Apache HTTP (Web) server, version 2.4

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://httpd.apache.org/.

Please note that this package has a apache-2.0 license.

The package is located in the "www/apache24" directory. The current source version of the package is "apache-2.4.41nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/apache24 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: apr>=1.5.0 cwrappers>=20150314 apr-util>=1.5.3 apr-util>=1.2.8 pcre>=3.4nb1 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 brotli>=1.0.1 apr-util>=1.5.4nb4 pcre>=8.30nb1 nghttp2>=1.39.2nb1 .

This package requires the following package(s) to run: apr>=1.5.0 apr-util>=1.5.3 apr-util>=1.2.8 pcre>=3.4nb1 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 brotli>=1.0.1 readline>=2.2 apr-util>=1.5.4nb4 pcre>=8.30nb1 nghttp2>=1.39.2nb1 readline>=6.0 .

This package supports the following build-time options:

apache-mpm-event
Use multi-threaded workers in Apache web server.
apache-mpm-prefork
Use pre-forked workers in Apache web server.
apache-mpm-worker
Use multiple processes of multi-threaded workers in Apache web server.
brotli
Provides the BROTLI_COMPRESS output filter.
http2
Add support for HTTP/2.
lua
Enable Lua support.
suexec
Enable suEXEC support in Apache web server.
xml
Enable XML support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:apache-2.4.39.tgz(NetBSD 8.0)
alpha:apache-2.4.37nb1.tgz(NetBSD 8.0)
alpha:apache-2.4.38.tgz(NetBSD 8.0)
alpha:apache-2.4.39nb2.tgz(NetBSD 8.0)
alpha:apache-2.4.41.tgz(NetBSD 8.0)
alpha:apache-2.4.41nb1.tgz(NetBSD 8.0)
earm:apache-2.4.17.tgz(NetBSD 7.0)
earm:apache-2.4.37nb1.tgz(NetBSD 8.0)
earm:apache-2.4.39.tgz(NetBSD 8.0)
earmv4:apache-2.4.39.tgz(NetBSD 8.0)
earmv6hf:apache-2.4.41nb1.tgz(NetBSD 8.0)
earmv6hf:apache-2.4.41.tgz(NetBSD 8.0)
earmv7hf:apache-2.4.41nb1.tgz(NetBSD 8.0)
earmv7hf:apache-2.4.41.tgz(NetBSD 8.0)
i386:apache-2.4.9.tgz(MirBSD 10)
i386:apache-2.4.41nb1.tgz(NetBSD 7.0)
i386:apache-2.4.39.tgz(NetBSD 7.0)
i386:apache-2.4.41.tgz(NetBSD 7.0)
i386:apache-2.4.39.tgz(NetBSD 7.1)
i386:apache-2.4.41.tgz(NetBSD 7.1)
i386:apache-2.4.41nb1.tgz(NetBSD 7.1)
i386:apache-2.4.41nb1.tgz(NetBSD 8.0)
i386:apache-2.4.39.tgz(NetBSD 8.0)
i386:apache-2.4.41.tgz(NetBSD 8.0)
m68k:apache-2.4.39.tgz(NetBSD 8.0)
m68k:apache-2.4.39.tgz(NetBSD 8.0)
mips64eb:apache-2.4.37nb1.tgz(NetBSD 8.0)
mips64eb:apache-2.4.38.tgz(NetBSD 8.0)
mips64eb:apache-2.4.39nb2.tgz(NetBSD 8.0)
mipsel:apache-2.4.29nb1.tgz(NetBSD 8.0_BETA)
powerpc:apache-2.4.38.tgz(NetBSD 7.1)
powerpc:apache-2.4.38.tgz(NetBSD 7.1)
sparc64:apache-2.4.33nb1.tgz(NetBSD 7.1)
sparc64:apache-2.4.39nb2.tgz(NetBSD 8.0)
sparc64:apache-2.4.41.tgz(NetBSD 8.0)
sparc64:apache-2.4.41nb1.tgz(NetBSD 8.0)
sparc:apache-2.4.16.tgz(NetBSD 7.0)
sparc:apache-2.4.23nb2.tgz(NetBSD 7.0)
sparc:apache-2.4.39.tgz(NetBSD 8.0)
vax:apache-2.4.18nb1.tgz(NetBSD 7.0)
vax:apache-2.4.39.tgz(NetBSD 8.0)
x86_64:apache-2.4.41nb1.tgz(NetBSD 7.0)
x86_64:apache-2.4.39.tgz(NetBSD 7.0)
x86_64:apache-2.4.41.tgz(NetBSD 7.0)
x86_64:apache-2.4.41nb1.tgz(NetBSD 7.1)
x86_64:apache-2.4.39.tgz(NetBSD 7.1)
x86_64:apache-2.4.41.tgz(NetBSD 7.1)
x86_64:apache-2.4.39.tgz(NetBSD 8.0)
x86_64:apache-2.4.41.tgz(NetBSD 8.0)
x86_64:apache-2.4.41nb1.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]